@import url('https://fonts.googleapis.com/css2?family=Wix+Madefor+Text:wght@400;700;800');

:root {
    --font_fam: 'Wix Madefor Text', sans-serif;
    --blue: #003d7b;
    --dark-blue: #2d385d;
    --light-blue: #a0cefc;
    --text-link: #c5e0fb;
}

html, body {
    margin: 0px;
    padding: 0px;
    font-family: var(--font_fam);
    background: var(--blue);
    color: white;
    min-height: 100vh;
}

body::before {
    content: "";
    pointer-events: none;
    position: absolute;
    bottom: 0%;
    padding: 0;
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    background-image: url('/public/images/blue-line-overlay.png');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: bottom -200px center;
    opacity: 0.15;
}

section {
    position: relative;
    display: flex;
    align-items: center;
    width: 100%;
    height: 100vh;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    overflow: hidden;
}

section::before {
    content: "";
    pointer-events: none;
    position: absolute;
    top: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    opacity: 0.65;
}

section .inner {
    text-align: center;
    position: relative;
    width: 90%;
    margin: 0 auto;
    max-width: 800px;
    padding: 50px 0px;
}

h1 {
    font-weight: normal;
    color: white;
    font-size: 20px;
    line-height: 32px;
    font-family: var(--font_fam);
    font-weight: normal;
}

p {
    font-family: var(--font_fam);
    font-weight: normal;
    font-size: 20px;
    line-height: 1.8em;
    color: white;
}

p.bigger {
    font-size: 26px;
    font-weight: 600;
    text-transform: uppercase;
}

p.bigger small {
    font-weight: normal;
    text-transform: none;
    display: block;
    margin-top: 0px;
}

p a {
    color: var(--text-link);
    transition: color 0.2s ease-in-out;
}

p a:hover {
    color: white;
}

img.logo {
    width: 90%;
    max-width: 150px;
}

hr {
    display: block;
    position: relative;
    width: 100%;
    height: 40px;
    border: none;
    outline: none;
    opacity: 0.5;
}

a.download {
    position: relative;
    display: block;
    width: 60%;
    max-width: 400px;
    margin: 10px auto 0;
    box-shadow: 2px 2px 5px 0px rgba(0, 0, 0, 0.2);

    transition: transform 0.2s ease-in-out;
}

a.download:hover {
    transform: scale(1.03) rotate(-2deg);
}

a.download img {
    display: block;
    width: 100%;
}

.links {
    display: flex;
    margin-top: 40px;
    justify-content: center;
    gap: 20px;
    width: 100%;
    flex-wrap: wrap;
}

.links a {
    background-color: var(--light-blue);
    color: var(--dark-blue);
    padding: 10px 20px;
    border-radius: 0.3em;
    text-decoration: none;
    font-weight: 700;
    text-transform: uppercase;
    transition: background-color 0.2s ease-in-out;
}

.links a:hover {
    background-color: white;
}

.clear  {
    clear: both;
}

@media all and (max-width: 600px) and (min-width: 0px) {
    h1, p {
        font-size: 4vw;
    }

    p.bigger {
        font-size: 6vw;
    }

    .links a {
        font-size: 0.8rem;
    }
}